package systems.archide.core;

import com.cocentris.spring.rest.security.EndpointsPermissions;

public class RestEndpoints {
	public final static String REGISTRAR = "REGISTRAR";
	public final static String DIGITALIZER = "DIGITALIZER";
	public final static String CLERK = "CLERK";
	public final static String RV4_MIGRATION_TOOL = "RV4_MIGRATION_TOOL";
	public final static String E_ID_SERVER = "E_ID_SERVER";
	public final static String VAN_ELECT = "VAN_ELECT";

	static final String READ_CIVIL_STATUS_MTLB_ENDPOINT = "/civil-status-mtlb/[0-9]+";
	static final String SEARCH_CIVIL_STATUS_MTLB_ENDPOINT = "/civil-status-mtlb/search-by-mtlb-type-and-status/";
	static final String COUNT_CIVIL_STATUS_MTLB_ENDPOINT = "/civil-status-mtlb/count/search-by-mtlb-type-and-status/";
	static final String CREATE_CIVIL_STATUS_MTLB_ENDPOINT = "/apply/create-civil-status-mtlb";
	static final String UPDATE_CIVIL_STATUS_MTLB_ENDPOINT = "/civil-status-mtlb";
	static final String CIVIL_STATUS_MTLB_TAG = "/civil-status-mtlb-tag/search/";
	static final String CIVIL_STATUS_MTLB_PENDING_UPDATE = "/civil-status-mtlb/pending/update";
	static final String CIVIL_STATUS_MTLB_PENDING_REJECT = "/civil-status-mtlb/pending/reject";
	static final String CIVIL_STATUS_MTLB_READY_APPROVE = "/civil-status-mtlb/ready/approve";
	static final String CIVIL_STATUS_MTLB_READY_REJECT = "/civil-status-mtlb/ready/reject";
	static final String CIVIL_STATUS_MTLB_ATTACHMENT_ENDPOINT = "/civil-status-mtlb-attachment/civil-status-mtlb/join/civil-status-mtlb-id";
	
	static final String READ_VITAL_RECORD_ATTACHMENT_ENDPOINT = "/vital-record-attachment/[0-9]+/.*";
	
	static final String SEARCH_RV4_BIRTH_MTLB_ENDPOINT = "/rvfour-birth-mtlb/search-by-mtlb-type-and-status/";
	static final String COUNT_RV4_BIRTH_MTLB_ENDPOINT = "/rvfour-birth-mtlb/count/search-by-mtlb-type-and-status/";
	static final String READ_RV4_BIRTH_MTLB_ENDPOINT = "/rvfour-birth-mtlb/[0-9]+";
	static final String SEARCH_RV4_BIRTH_MTLB_TAG_ENDPOINT = "/rvfour-birth-mtlb-tag/search/";
	
	static final String CREATE_GEO_DATA_ENDPOINT = "/geo-data-service/save-by-area-id";

	static final String CREATE_ID_MTLB_ENDPOINT = "/apply/create-id-mtlb";
	static final String UPDATE_ID_MTLB_ENDPOINT = "/id-mtlb";
	static final String READ_ID_MTLB_ENDPOINT = "/id-mtlb/[0-9]+";
	static final String ID_MTLB_TAG = "/id-mtlb-tag/search/";
	static final String ID_MTLB_PENDING_UPDATE = "/id-mtlb/pending/update";
	static final String ID_MTLB_PENDING_REJECT = "/id-mtlb/pending/reject";
	static final String SEARCH_ID_MTLB_ENDPOINT = "/id-mtlb/search-by-id-mtlb-type-and-status/";
	static final String COUNT_ID_MTLB_ENDPOINT = "/id-mtlb/count/search-by-id-mtlb-type-and-status/";
	
	static final String CREATE_DIGITALIZATION_MTLB_ENDPOINT = "/apply/create-digitalization-mtlb";
	static final String ATTACH_DIGITALIZATION_MTLB = "/apply/attach-digitalization-mtlb";
	
	static final String SEARCH_UNION_MTLB = "/union-mtlb/search-by-union-mtlb-type-and-status/";
	static final String COUNT_UNION_MTLB = "/union-mtlb/count/search-by-union-mtlb-type-and-status/";
	static final String READ_VITAL_RECORD_ENDPOINT = "/vital-record/[0-9]+";
	static final String SEARCH_VITAL_RECORD_ENDPOINT = "/vital-record/search-by-active/";
	static final String COUNT_VITAL_RECORD_ENDPOINT = "/vital-record/count/search-by-active/";
	static final String SEARCH_VITAL_RECORD_ENDPOINT_TAG = "/vital-record-tag/search/";

	static final String READ_FACE_ENDPOINT = "/face/[0-9]+";

	static final String READ_ISSUED_DOCUMENTS_ENDPOINT = "/issued-documents/[0-9]+";
	static final String SEARCH_ISSUED_DOCUMENTS_ENDPOINT = "/issued-documents/search-by-document-type/";
	static final String COUNT_ISSUED_DOCUMENTS_ENDPOINT = "/issued-documents/count/search-by-document-type/";
	static final String SEARCH_DIGITALIZATION_ENDPOINT = "/civil-status-mtlb/digitalization/search";
	static final String COUNT_DIGITALIZATION_ENDPOINT = "/civil-status-mtlb/digitalization/count";
	static final String SEARCH_CIVIL_STATUS_ATTACHMENTS_ENDPOINT = "/civil-status-mtlb-attachment/search/";

	static final String SEARCH_ADDRESS_ENDPOINT = "/address/search/";
	static final String SEARCH_EMAIL_ENDPOINT = "/email/search/";
	static final String SEARCH_PHONE_NUMBER_ENDPOINT = "/phone-number/search/";

	static final String SEARCH_TRANSLATION_ENDPOINT = "/i18n/search/";
	static final String COUNT_TRANSLATION_ENDPOINT = "/i18n/count/";
	static final String READ_TRANSLATION_ENDPOINT = "/i18n/[0-9]+";
	static final String CREATE_TRANSLATION_ENDPOINT = "/i18n";

	static final String SEARCH_OCCUPATION_METADATA_ENDPOINT = "/occupation-metadata/search/";
	static final String COUNT_OCCUPATION_METADATA_ENDPOINT = "/occupation-metadata/count/";
	static final String READ_OCCUPATION_METADATA_ENDPOINT = "/occupation-metadata/[0-9]+";
	static final String CREATE_OCCUPATION_METADATA_ENDPOINT = "/occupation-metadata";

	static final String READ_PREFERENCES = "/preferences/read";
	static final String SAVE_PREFERENCES = "/preferences/save";

	static final String SEARCH_COUNTRY = "/country/search/";
	static final String COUNT_COUNTRY_ENDPOINT = "/country/count/";
	static final String READ_COUNTRY_ENDPOINT = "/country/[0-9]+";
	static final String CREATE_COUNTRY_ENDPOINT = "/country";

	static final String LOCATIONS_SEARCH = "/locations/search/";
	static final String PROVINCE_SEARCH = "/province/search/";
	static final String POLLING_STATIONS_SEARCH = "/polling-stations/search/";
	static final String WHO_AMI = "/users/whoami";

	static final String READ_GLOBAL_STATE = "/global-state/[0-9]+";
	static final String SET_GLOBAL_STATE = "/global-state/set";
	static final String GET_GLOBAL_STATE = "/global-state/get";

	static final String CREATE_RV4_BIRTH_MTLB_ENDPOINT = "/apply/save-rv4-birth-mtlb-by-vital-record-id";
	static final String CREATE_RV4_BIRTH_MTLB_ATTACHMENTS_ENDPOINT = "/rv4-birth-mtlb-attachment/save-by-rv4-mtlb-id";
	
	static final String CREATE_RV4_DEATH_MTLB_ENDPOINT = "/apply/save-rv4-death-mtlb-by-vital-record-id";
	static final String CREATE_RV4_UNION_MTLB_ENDPOINT = "/apply/save-rv4-marraige-mtlb-by-union-id";
	static final String CREATE_RV4_DIVORCE_MTLB_ENDPOINT = "/apply/save-rv4-divorce-mtlb-by-union-id";
	static final String CREATE_RV4_ID_CARD_MTLB_ENDPOINT = "/apply/save-rv4-id-card-mtlb-by-id-card-number";
	
	static final String GET_VOTER_RECORD_LIST = "/van-elect-service/get-voter-record-list";
	
	static final String READ_CIVIL_RECORD_INFO = "/civil-record-info-service/read";
	
	static final String GENERAL_STATISTICS_REPORT_ENDPOINT = "/reports/general-statistics";
	
	static final String READ_FACE_ENDPOINT_IMAGE = "/face/image/[0-9]+/.*";
	static final String READ_ID_MTLB_FACE_ENDPOINT_IMAGE = "/id-mtlb/face/[0-9]+/.*";

	static final String READ_CIVIL_STATUS_MTLB_FACE_ENDPOINT_IMAGE = "/civil-status-mtlb/face/[0-9]+/.*";
	
	static final String READ_COUNTRY_FLAG_ENDPOINT = "/geo-data/flag/[0-9]+/.*";
	
	static final String READ_CIVIL_STATUS_MTLB_ATTACHMENT_ENDPOINT = "/civil-status-mtlb/attachment/content/[0-9]+/.*";
	static final String READ_CIVIL_STATUS_MTLB_ATTACHMENT_PREVIEW_ENDPOINT = "/civil-status-mtlb/attachment/preview/[0-9]+/.*";
	static final String READ_CIVIL_STATUS_MTLB_ATTACHMENT_DOWNLOAD_ENDPOINT = "/civil-status-mtlb/attachment/[0-9]+/.*";
	
	static final String READ_CIVIL_STATUS_MTLB_MEDICAL_NOTIFICATION_ENDPOINT = "/civil-status-mtlb/medical-notification-file/content/[0-9]+/.*";
	
	static final String READ_CIVIL_STATUS_MTLB_MEDICAL_NOTIFICATION_PREVIEW_ENDPOINT = "/civil-status-mtlb/medical-notification-file/preview/[0-9]+/.*";
	static final String READ_CIVIL_STATUS_MTLB_MEDICAL_NOTIFICATION_DOWNLOAD_ENDPOINT = "/civil-status-mtlb/medical-notification-file/[0-9]+/.*";
	
	static final String READ_VITAL_RECORD_ATTACHMENT_PREVIEW_ENDPOINT = "/vital-record-attachment/preview/[0-9]+/.*";
	static final String READ_VITAL_RECORD_ATTACHMENT_DOWNLOAD_ENDPOINT = "/vital-record/attachment/[0-9]+/.*";
	
	static final String READ_DEATH_RECORD_ATTACHMENT_PREVIEW_ENDPOINT = "/death-record-attachment/preview/[0-9]+/.*";
	static final String READ_DEATH_RECORD_ATTACHMENT_DOWNLOAD_ENDPOINT = "/death-record/attachment/[0-9]+/.*";
	static final String READ_DEATH_RECORD_ATTACHMENT_DOWNLOAD = "/death-record-attachment/[0-9]+/.*";
	
	static final String READ_UNION_RECORD_ATTACHMENT_PREVIEW_ENDPOINT = "/union-record-attachment/preview/[0-9]+/.*";
	static final String READ_UNION_RECORD_ATTACHMENT_DOWNLOAD_ENDPOINT = "/union-record/attachment/[0-9]+/.*";
	static final String READ_UNION_RECORD_ATTACHMENT_DOWNLOAD = "/union-record-attachment/[0-9]+/.*";

	
	static final String READ_UNION_MTLB_ATTACHMENT_PREVIEW_ENDPOINT = "/union-mtlb/attachment/preview/[0-9]+/.*";
	static final String READ_UNION_MTLB_ATTACHMENT_DOWNLOAD_ENDPOINT = "/union-mtlb/attachment/[0-9]+/.*";
	
	static final String READ_VITAL_RECORD_MEDICAL_NOTIFICATION_ENDPOINT = "/vital-record/medical-notification-file/content/[0-9]+/.*";
	static final String READ_VITAL_RECORD_MEDICAL_NOTIFICATION_PREVIEW_ENDPOINT = "/vital-record/medical-notification-file/preview/[0-9]+/.*";
	static final String READ_VITAL_RECORD_MEDICAL_NOTIFICATION_DOWNLOAD_ENDPOINT = "/vital-record/medical-notification-file/[0-9]+/.*";

	
	static final String READ_CIVIL_STATUS_MTLB_DEATH_NOTIFICATION_ENDPOINT = "/civil-status-mtlb/death-notification-file/content/[0-9]+/.*";
	static final String READ_CIVIL_STATUS_MTLB_DEATH_NOTIFICATION_PREVIEW_ENDPOINT = "/civil-status-mtlb/death-notification-file/preview/[0-9]+/.*";
	static final String READ_CIVIL_STATUS_MTLB_DEATH_NOTIFICATION_DOWNLOAD_ENDPOINT = "/civil-status-mtlb/death-notification-file/[0-9]+/.*";
		
	static final String VITAL_RECORD_ADVANCED_SEARCH = "/vital-record/advanced-search";
	static final String VITAL_RECORD_ADVANCED_SEARCH_COUNT = "/vital-record/count/advanced-search";

	public static void init() {
		
		EndpointsPermissions.setRequiredPermissions(VITAL_RECORD_ADVANCED_SEARCH, REGISTRAR, DIGITALIZER, CLERK);
		EndpointsPermissions.setRequiredPermissions(VITAL_RECORD_ADVANCED_SEARCH, REGISTRAR, DIGITALIZER, CLERK);

		EndpointsPermissions.setRequiredPermissions(READ_CIVIL_STATUS_MTLB_ENDPOINT, REGISTRAR, DIGITALIZER, CLERK);
		EndpointsPermissions.setRequiredPermissions(CREATE_CIVIL_STATUS_MTLB_ENDPOINT,
				EndpointsPermissions.AUTHENTICATED);
		EndpointsPermissions.setRequiredPermissions(CREATE_DIGITALIZATION_MTLB_ENDPOINT,
				EndpointsPermissions.AUTHENTICATED);
		EndpointsPermissions.setRequiredPermissions(SEARCH_DIGITALIZATION_ENDPOINT, DIGITALIZER, REGISTRAR);
		EndpointsPermissions.setRequiredPermissions(COUNT_DIGITALIZATION_ENDPOINT, DIGITALIZER, REGISTRAR);
		EndpointsPermissions.setRequiredPermissions(READ_FACE_ENDPOINT, REGISTRAR, DIGITALIZER, CLERK);
		
		EndpointsPermissions.setRequiredPermissions(READ_VITAL_RECORD_ATTACHMENT_ENDPOINT, EndpointsPermissions.PUBLIC);
		EndpointsPermissions.setRequiredPermissions(READ_CIVIL_STATUS_MTLB_ATTACHMENT_PREVIEW_ENDPOINT, EndpointsPermissions.PUBLIC);


		EndpointsPermissions.setRequiredPermissions(SEARCH_CIVIL_STATUS_ATTACHMENTS_ENDPOINT, REGISTRAR, DIGITALIZER, CLERK);
		EndpointsPermissions.setRequiredPermissions(SEARCH_CIVIL_STATUS_MTLB_ENDPOINT, REGISTRAR, DIGITALIZER, CLERK);
		EndpointsPermissions.setRequiredPermissions(COUNT_CIVIL_STATUS_MTLB_ENDPOINT, REGISTRAR, DIGITALIZER, CLERK);
		EndpointsPermissions.setRequiredPermissions(CIVIL_STATUS_MTLB_TAG, REGISTRAR, DIGITALIZER, CLERK);
		EndpointsPermissions.setRequiredPermissions(CIVIL_STATUS_MTLB_PENDING_UPDATE, REGISTRAR, CLERK);
		EndpointsPermissions.setRequiredPermissions(CIVIL_STATUS_MTLB_PENDING_REJECT, REGISTRAR, CLERK);
		EndpointsPermissions.setRequiredPermissions(CIVIL_STATUS_MTLB_READY_APPROVE, REGISTRAR);
		EndpointsPermissions.setRequiredPermissions(CIVIL_STATUS_MTLB_READY_REJECT, REGISTRAR);
		EndpointsPermissions.setRequiredPermissions(UPDATE_CIVIL_STATUS_MTLB_ENDPOINT, REGISTRAR, DIGITALIZER, CLERK);
		
		EndpointsPermissions.setRequiredPermissions(CREATE_ID_MTLB_ENDPOINT, REGISTRAR, CLERK);
		EndpointsPermissions.setRequiredPermissions(UPDATE_ID_MTLB_ENDPOINT, REGISTRAR, CLERK);
		EndpointsPermissions.setRequiredPermissions(READ_ID_MTLB_ENDPOINT, REGISTRAR, CLERK);
		EndpointsPermissions.setRequiredPermissions(ID_MTLB_TAG, REGISTRAR, CLERK);
		EndpointsPermissions.setRequiredPermissions(ID_MTLB_PENDING_UPDATE, REGISTRAR, CLERK);
		EndpointsPermissions.setRequiredPermissions(ID_MTLB_PENDING_REJECT, REGISTRAR, CLERK);
		EndpointsPermissions.setRequiredPermissions(SEARCH_ID_MTLB_ENDPOINT, REGISTRAR, CLERK);
		EndpointsPermissions.setRequiredPermissions(COUNT_ID_MTLB_ENDPOINT, REGISTRAR, CLERK);
		
		EndpointsPermissions.setRequiredPermissions(SEARCH_VITAL_RECORD_ENDPOINT, REGISTRAR, DIGITALIZER, CLERK);
		EndpointsPermissions.setRequiredPermissions(COUNT_VITAL_RECORD_ENDPOINT, REGISTRAR, DIGITALIZER, CLERK);
		EndpointsPermissions.setRequiredPermissions(READ_VITAL_RECORD_ENDPOINT, DIGITALIZER, REGISTRAR, CLERK);
		EndpointsPermissions.setRequiredPermissions(SEARCH_VITAL_RECORD_ENDPOINT_TAG, REGISTRAR, DIGITALIZER, CLERK);

		EndpointsPermissions.setRequiredPermissions(SEARCH_ISSUED_DOCUMENTS_ENDPOINT, REGISTRAR, CLERK);
		EndpointsPermissions.setRequiredPermissions(COUNT_ISSUED_DOCUMENTS_ENDPOINT, REGISTRAR, CLERK);
		EndpointsPermissions.setRequiredPermissions(READ_ISSUED_DOCUMENTS_ENDPOINT, REGISTRAR, CLERK);
		EndpointsPermissions.setRequiredPermissions(SEARCH_UNION_MTLB, REGISTRAR, CLERK);
		EndpointsPermissions.setRequiredPermissions(COUNT_UNION_MTLB, REGISTRAR, CLERK);
		EndpointsPermissions.setRequiredPermissions(SEARCH_TRANSLATION_ENDPOINT, REGISTRAR);
		EndpointsPermissions.setRequiredPermissions(COUNT_TRANSLATION_ENDPOINT, REGISTRAR);
		EndpointsPermissions.setRequiredPermissions(READ_TRANSLATION_ENDPOINT, REGISTRAR);
		EndpointsPermissions.setRequiredPermissions(CREATE_TRANSLATION_ENDPOINT, REGISTRAR);

		EndpointsPermissions.setRequiredPermissions(SEARCH_OCCUPATION_METADATA_ENDPOINT, REGISTRAR);
		EndpointsPermissions.setRequiredPermissions(COUNT_OCCUPATION_METADATA_ENDPOINT, REGISTRAR);
		EndpointsPermissions.setRequiredPermissions(READ_OCCUPATION_METADATA_ENDPOINT, REGISTRAR);
		EndpointsPermissions.setRequiredPermissions(CREATE_OCCUPATION_METADATA_ENDPOINT, REGISTRAR);

		EndpointsPermissions.setRequiredPermissions(SEARCH_ADDRESS_ENDPOINT, REGISTRAR, DIGITALIZER, CLERK);

		EndpointsPermissions.setRequiredPermissions(SEARCH_EMAIL_ENDPOINT, REGISTRAR, DIGITALIZER, CLERK);

		EndpointsPermissions.setRequiredPermissions(SEARCH_PHONE_NUMBER_ENDPOINT, REGISTRAR, DIGITALIZER, CLERK);
		EndpointsPermissions.setRequiredPermissions(ATTACH_DIGITALIZATION_MTLB, REGISTRAR, DIGITALIZER, CLERK);
		EndpointsPermissions.setRequiredPermissions(READ_PREFERENCES, EndpointsPermissions.AUTHENTICATED);
		EndpointsPermissions.setRequiredPermissions(SAVE_PREFERENCES, EndpointsPermissions.AUTHENTICATED);

		EndpointsPermissions.setRequiredPermissions(LOCATIONS_SEARCH, EndpointsPermissions.AUTHENTICATED);
		EndpointsPermissions.setRequiredPermissions(PROVINCE_SEARCH, EndpointsPermissions.AUTHENTICATED);
		EndpointsPermissions.setRequiredPermissions(POLLING_STATIONS_SEARCH, EndpointsPermissions.AUTHENTICATED);

		EndpointsPermissions.setRequiredPermissions(WHO_AMI, EndpointsPermissions.AUTHENTICATED);

		EndpointsPermissions.setRequiredPermissions(CREATE_RV4_BIRTH_MTLB_ENDPOINT, RV4_MIGRATION_TOOL);
		EndpointsPermissions.setRequiredPermissions(CREATE_RV4_BIRTH_MTLB_ATTACHMENTS_ENDPOINT, RV4_MIGRATION_TOOL);
		EndpointsPermissions.setRequiredPermissions(SEARCH_RV4_BIRTH_MTLB_ENDPOINT, REGISTRAR, CLERK);
		EndpointsPermissions.setRequiredPermissions(READ_RV4_BIRTH_MTLB_ENDPOINT, REGISTRAR, CLERK);
		EndpointsPermissions.setRequiredPermissions(COUNT_RV4_BIRTH_MTLB_ENDPOINT, REGISTRAR, CLERK);
		EndpointsPermissions.setRequiredPermissions(SEARCH_RV4_BIRTH_MTLB_TAG_ENDPOINT, REGISTRAR, CLERK);
		
		EndpointsPermissions.setRequiredPermissions(SET_GLOBAL_STATE, EndpointsPermissions.AUTHENTICATED);
		EndpointsPermissions.setRequiredPermissions(READ_GLOBAL_STATE, EndpointsPermissions.AUTHENTICATED);
		EndpointsPermissions.setRequiredPermissions(GET_GLOBAL_STATE, EndpointsPermissions.AUTHENTICATED);

		EndpointsPermissions.setRequiredPermissions(CREATE_GEO_DATA_ENDPOINT, RV4_MIGRATION_TOOL);
		
		EndpointsPermissions.setRequiredPermissions(CREATE_RV4_DEATH_MTLB_ENDPOINT, RV4_MIGRATION_TOOL);
		EndpointsPermissions.setRequiredPermissions(CREATE_RV4_UNION_MTLB_ENDPOINT, RV4_MIGRATION_TOOL);
		EndpointsPermissions.setRequiredPermissions(CREATE_RV4_DIVORCE_MTLB_ENDPOINT, RV4_MIGRATION_TOOL);
		EndpointsPermissions.setRequiredPermissions(CREATE_RV4_ID_CARD_MTLB_ENDPOINT, RV4_MIGRATION_TOOL);
		
		EndpointsPermissions.setRequiredPermissions(GET_VOTER_RECORD_LIST, VAN_ELECT);		
		EndpointsPermissions.setRequiredPermissions(READ_CIVIL_RECORD_INFO, E_ID_SERVER);
		
		EndpointsPermissions.setRequiredPermissions(GENERAL_STATISTICS_REPORT_ENDPOINT, EndpointsPermissions.AUTHENTICATED);
		
		EndpointsPermissions.setRequiredPermissions(READ_CIVIL_STATUS_MTLB_ATTACHMENT_ENDPOINT, EndpointsPermissions.PUBLIC);
		EndpointsPermissions.setRequiredPermissions(READ_CIVIL_STATUS_MTLB_ATTACHMENT_DOWNLOAD_ENDPOINT, EndpointsPermissions.PUBLIC);
		
		EndpointsPermissions.setRequiredPermissions(READ_CIVIL_STATUS_MTLB_MEDICAL_NOTIFICATION_ENDPOINT, EndpointsPermissions.PUBLIC);
		EndpointsPermissions.setRequiredPermissions(READ_CIVIL_STATUS_MTLB_MEDICAL_NOTIFICATION_DOWNLOAD_ENDPOINT, EndpointsPermissions.PUBLIC);
		EndpointsPermissions.setRequiredPermissions(READ_CIVIL_STATUS_MTLB_MEDICAL_NOTIFICATION_PREVIEW_ENDPOINT, EndpointsPermissions.PUBLIC);
		
		EndpointsPermissions.setRequiredPermissions(READ_VITAL_RECORD_ATTACHMENT_PREVIEW_ENDPOINT, EndpointsPermissions.PUBLIC);
		EndpointsPermissions.setRequiredPermissions(READ_VITAL_RECORD_ATTACHMENT_DOWNLOAD_ENDPOINT, EndpointsPermissions.PUBLIC);

		EndpointsPermissions.setRequiredPermissions(READ_UNION_RECORD_ATTACHMENT_PREVIEW_ENDPOINT, EndpointsPermissions.PUBLIC);
		EndpointsPermissions.setRequiredPermissions(READ_UNION_RECORD_ATTACHMENT_DOWNLOAD_ENDPOINT, EndpointsPermissions.PUBLIC);
		EndpointsPermissions.setRequiredPermissions(READ_UNION_RECORD_ATTACHMENT_DOWNLOAD, EndpointsPermissions.PUBLIC);

		EndpointsPermissions.setRequiredPermissions(READ_DEATH_RECORD_ATTACHMENT_PREVIEW_ENDPOINT, EndpointsPermissions.PUBLIC);
		EndpointsPermissions.setRequiredPermissions(READ_DEATH_RECORD_ATTACHMENT_DOWNLOAD_ENDPOINT, EndpointsPermissions.PUBLIC);
		EndpointsPermissions.setRequiredPermissions(READ_DEATH_RECORD_ATTACHMENT_DOWNLOAD, EndpointsPermissions.PUBLIC);

		EndpointsPermissions.setRequiredPermissions(READ_UNION_MTLB_ATTACHMENT_PREVIEW_ENDPOINT, EndpointsPermissions.PUBLIC);
		EndpointsPermissions.setRequiredPermissions(READ_UNION_MTLB_ATTACHMENT_DOWNLOAD_ENDPOINT, EndpointsPermissions.PUBLIC);
		
		EndpointsPermissions.setRequiredPermissions(READ_VITAL_RECORD_MEDICAL_NOTIFICATION_ENDPOINT, EndpointsPermissions.PUBLIC);
		EndpointsPermissions.setRequiredPermissions(READ_VITAL_RECORD_MEDICAL_NOTIFICATION_DOWNLOAD_ENDPOINT, EndpointsPermissions.PUBLIC);
		EndpointsPermissions.setRequiredPermissions(READ_VITAL_RECORD_MEDICAL_NOTIFICATION_PREVIEW_ENDPOINT, EndpointsPermissions.PUBLIC);

		
		EndpointsPermissions.setRequiredPermissions(READ_CIVIL_STATUS_MTLB_DEATH_NOTIFICATION_ENDPOINT, EndpointsPermissions.PUBLIC);
		EndpointsPermissions.setRequiredPermissions(READ_CIVIL_STATUS_MTLB_DEATH_NOTIFICATION_DOWNLOAD_ENDPOINT, EndpointsPermissions.PUBLIC);
		EndpointsPermissions.setRequiredPermissions(READ_CIVIL_STATUS_MTLB_DEATH_NOTIFICATION_PREVIEW_ENDPOINT, EndpointsPermissions.PUBLIC);
		
		EndpointsPermissions.setRequiredPermissions(READ_FACE_ENDPOINT_IMAGE, EndpointsPermissions.PUBLIC);
		EndpointsPermissions.setRequiredPermissions(READ_ID_MTLB_FACE_ENDPOINT_IMAGE, EndpointsPermissions.PUBLIC);
		EndpointsPermissions.setRequiredPermissions(READ_CIVIL_STATUS_MTLB_FACE_ENDPOINT_IMAGE, EndpointsPermissions.PUBLIC);
		
		EndpointsPermissions.setRequiredPermissions(READ_COUNTRY_FLAG_ENDPOINT, EndpointsPermissions.PUBLIC);
	}
}