package systems.archide.core.controller;

import java.time.LocalDate;
import java.time.Period;
import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import systems.archide.core.pojo.Address;
import systems.archide.core.pojo.BirthCertificateData;
import systems.archide.core.pojo.ChildData;
import systems.archide.core.pojo.DeathCertificateData;
import systems.archide.core.pojo.DeathRecord;
import systems.archide.core.pojo.UnionRecord;
import systems.archide.core.pojo.VitalRecord;
import systems.archide.core.repository.AddressRepository;
import systems.archide.core.repository.DeathRecordRepository;
import systems.archide.core.repository.IdcoreCustomQueries;
import systems.archide.core.repository.UnionRecordRepository;
import systems.archide.core.repository.VitalRecordRepository;

@RestController
@RequestMapping("/birth-certificate")
public class BirthCertificateController {
	
	@Autowired
	DeathRecordRepository deathRecordRepository;

	@Autowired
	IdcoreCustomQueries queries;

	@GetMapping("/read/{id}")
	public ResponseEntity<BirthCertificateData> getDeathCertificateData(@PathVariable Long id) {
		BirthCertificateData data = queries.getBirthCertificateData(id);
		List<DeathRecord> d = deathRecordRepository.findByVitalRecordId(id);
		
		if (d.isEmpty())
			data.setDead(false);
		else
			data.setDead(true);
		return ResponseEntity.ok(data);
	}

}
