package systems.archide.core.controller;

import java.time.LocalDateTime;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.security.core.Authentication;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import systems.archide.core.pojo.JobMtlb;
import systems.archide.core.pojo.MtlbStatus;
import systems.archide.core.pojo.MtlbType;
import systems.archide.core.repository.JobMtlbRepository;

@RestController
@RequestMapping("/reports")
public class ReportsController {
	
	@Autowired
	JobMtlbRepository jobMtlbRepository;
	
	@PostMapping("/new-document")
	public ResponseEntity<Long> newDocument(@RequestBody String name,
			Authentication authentication) {
		Long id = newDocument(name);
		return ResponseEntity.status(HttpStatus.CREATED).body(id);
	}

	private Long newDocument(String name) {
		JobMtlb job = new JobMtlb();
		job.setTimestamp(LocalDateTime.now());
		job.setMtlbStatus(MtlbStatus.SUBMITTED);
		job.setMtlbType(MtlbType.GENERAL_STATISTICS);
		return jobMtlbRepository.insert(job);
	}

}