package systems.archide.core.pojo;

import java.util.ArrayList;

import com.fasterxml.jackson.core.JsonProcessingException;

public class ArchideMtlbAnnex {
	ArrayList<ArchideMtlbAnnexTag> tags = new ArrayList<>();
	ArrayList<ArchideMtlbAnnexLogEntry> notes = new ArrayList<>();
	ArrayList<ArchideMtlbAnnexLogEntry> mentions = new ArrayList<>();
	
	public ArchideMtlbAnnex() {
		super();
	}

	public void addTag(String name, String type, String content) {
		tags.add(new ArchideMtlbAnnexTag(name, type, content));
	}

	public void addNote(String author, String type, String message) {
		notes.add(new ArchideMtlbAnnexLogEntry(author, type, message));
	}
	
	public ArrayList<ArchideMtlbAnnexTag> getTags() {
		return tags;
	}
	
	public ArrayList<ArchideMtlbAnnexLogEntry> getNotes() {
		return notes;
	}

	public ArrayList<ArchideMtlbAnnexLogEntry> getMentions() {
		return mentions;
	}

	public String toJsonString() {
		try {
			return ArchideMtlbAnnexUtil.objectMapper.writeValueAsString(this);
		} catch (JsonProcessingException e) {
			throw new RuntimeException(e);
		}
	}
}
