package systems.archide.core.service.hooks;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Component;

import systems.archide.core.pojo.CivilRecordId;
import systems.archide.core.pojo.CivilRecordInfo;
import systems.archide.core.pojo.VitalRecord;
import systems.archide.core.repository.FaceRepository;
import systems.archide.core.repository.VitalRecordRepository;

@Component
public class CivilRecordInfoServiceLogic {
	
	@Autowired
	VitalRecordRepository vitalRecordRepository;
	
	@Autowired
	FaceRepository faceRepository;

	public ResponseEntity<CivilRecordInfo> read(CivilRecordId civilRecordId) {
		VitalRecord vr = vitalRecordRepository.findById(civilRecordId.getId());
		if (vr != null) {
			CivilRecordInfo crInfo = new CivilRecordInfo();
			crInfo.setBirthdate(vr.getBirthdate());
			crInfo.setFirstname(vr.getFirstname());
			crInfo.setLastname(vr.getFourthname());
			if (vr.getFaceId() != null)
				crInfo.setFace(faceRepository.getImageById(vr.getFaceId()));
			ResponseEntity<CivilRecordInfo> response = ResponseEntity.status(HttpStatus.CREATED).body(crInfo);
			return response;
		}
		return ResponseEntity.status(HttpStatus.NOT_FOUND).body(null);
	}
}
