package systems.archide.core.service.hooks;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Component;

import systems.archide.core.pojo.GeoData;
import systems.archide.core.pojo.GeoDataCreateRequest;
import systems.archide.core.pojo.Locations;
import systems.archide.core.repository.GeoDataRepository;
import systems.archide.core.repository.LocationsRepository;

@Component
public class GeoDataServiceLogic {
	
	@Autowired
	GeoDataRepository service;

	public ResponseEntity<Long> saveByAreaId(GeoDataCreateRequest geoData) {
		GeoData location = service.findByAreaId(geoData.getAreaId());
		if (location != null)
			return ResponseEntity.ok(location.getId());
		else {
			GeoData newLocation = new GeoData();
			newLocation.setId(geoData.getId());
			newLocation.setAreaId(geoData.getAreaId());
			newLocation.setParentId(geoData.getParentId());
			newLocation.setName(geoData.getName());
			newLocation.setType(geoData.getType());
			newLocation.setDisabled(false);
			return ResponseEntity.ok(service.insert(newLocation));
		}
	}

}
