package systems.archide.core.service.hooks;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Component;

import systems.archide.core.pojo.GetGlobalStateRequest;
import systems.archide.core.pojo.GlobalState;
import systems.archide.core.pojo.SetGlobalStateRequest;
import systems.archide.core.repository.GlobalStateRepository;

@Component
public class GlobalStateLogic {
	
	@Autowired
	private GlobalStateRepository service;

	public ResponseEntity<String> set(SetGlobalStateRequest setGlobalStateRequest) {
		GlobalState globalState = new GlobalState();
		globalState.setKey(setGlobalStateRequest.getKey());
		globalState.setValue(setGlobalStateRequest.getValue());
		service.save(globalState);
		return ResponseEntity.ok(globalState.getKey());
	}

	public ResponseEntity<String> get(GetGlobalStateRequest getGlobalStateRequest) {
		return ResponseEntity.ok(service.getValueByKey(getGlobalStateRequest.getKey()));
	}

}
