package systems.archide.core.service.hooks;

import java.util.HashSet;

import org.springframework.security.core.Authentication;
import org.springframework.stereotype.Component;

import com.cocentris.spring.rest.security.SpringRestSecurityUtil;

import systems.archide.core.RestEndpoints;
import systems.archide.core.pojo.GetGlobalStateRequest;
import systems.archide.core.pojo.SetGlobalStateRequest;

@Component
public class GlobalStateSecurityBusinessRules {

	public boolean set(SetGlobalStateRequest setGlobalStateRequest, Authentication authentication) {
		HashSet<String> roles = null;
		try {
			roles = SpringRestSecurityUtil.getUserRoles(authentication);
		} catch (Exception e) {
			throw new RuntimeException(e);
		}
		if (roles == null)
			return false;

		if (roles.contains(RestEndpoints.RV4_MIGRATION_TOOL) && "migration".equals(setGlobalStateRequest.getKey()))
			return true;

		return false;
	}

	public boolean get(GetGlobalStateRequest getGlobalStateRequest, Authentication authentication) {
		HashSet<String> roles = null;
		try {
			roles = SpringRestSecurityUtil.getUserRoles(authentication);
		} catch (Exception e) {
			throw new RuntimeException(e);
		}
		if (roles == null)
			return false;

		if (roles.contains(RestEndpoints.RV4_MIGRATION_TOOL) && "migration".equals(getGlobalStateRequest.getKey()))
			return true;

		return false;
	}

}
