package systems.archide.core.service.hooks;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import systems.archide.core.pojo.IdMtlb;
import systems.archide.core.pojo.IdMtlbDocument;
import systems.archide.core.pojo.MtlbStatus;
import systems.archide.core.repository.IdMtlbRepository;

@Component
public class IdMtlbDocumentLogic {
	
	@Autowired
	private IdMtlbRepository idMtlbService;

	public Long newDocument(IdMtlbDocument document) {
		IdMtlb idMtlb = new IdMtlb();
		idMtlbCreateRequest2IdMtlb(document, idMtlb);
		idMtlb.setMtlbStatus(MtlbStatus.INITIATED);
		idMtlb.setPrinted(false);
		return idMtlbService.insert(idMtlb);
	}

	private IdMtlb idMtlbCreateRequest2IdMtlb(IdMtlbDocument document, IdMtlb idMtlb) {
		idMtlb.setDraft(document.isDraft());
		idMtlb.setFace(document.getFace());
		idMtlb.setFaceMimeType(document.getFaceMimeType());
		idMtlb.setVitalRecordId(document.getVitalRecordId());
		idMtlb.setMtlbType(document.getMtlbType());
		return idMtlb;
	}

	public Long editDocument(IdMtlbDocument document) {
		IdMtlb idMtlb = idMtlbService.findById(document.getId());
		System.out.println(idMtlb);
		System.out.println(idMtlb.isPrinted());
		idMtlbCreateRequest2IdMtlb(document, idMtlb);
		idMtlb.setDraft(false);
		idMtlbService.update(idMtlb);
		return idMtlb.getId(); 
	}

}
