package systems.archide.core.service.hooks;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Component;

import systems.archide.core.pojo.Rv4BirthMtlbAttachment;
import systems.archide.core.pojo.RvfourBirthMtlbAttachment;
import systems.archide.core.repository.RvfourBirthMtlbAttachmentRepository;

@Component
public class Rv4BirthMtlbAttachmentLogic {
	
	@Autowired
	RvfourBirthMtlbAttachmentRepository rvfourBirthMtlbAttachmentRepository;

	public Long create(Rv4BirthMtlbAttachment rv4BirthMtlbAttachment) {
		RvfourBirthMtlbAttachment attachment = new RvfourBirthMtlbAttachment();
		attachment.setContent(rv4BirthMtlbAttachment.getContent());
		attachment.setFileName(rv4BirthMtlbAttachment.getFileName());
		attachment.setRvfourBirthMtlbId(rv4BirthMtlbAttachment.getRv4MtlbId());
		return rvfourBirthMtlbAttachmentRepository.insert(attachment);
	}

	public ResponseEntity<Long> saveByRv4MtlbId(Rv4BirthMtlbAttachment rv4BirthMtlbAttachment) {
		RvfourBirthMtlbAttachment newAttachment = new RvfourBirthMtlbAttachment();
		newAttachment.setContent(rv4BirthMtlbAttachment.getContent());
		newAttachment.setFileName(rv4BirthMtlbAttachment.getFileName());
		newAttachment.setRvfourBirthMtlbId(rv4BirthMtlbAttachment.getRv4MtlbId());
		newAttachment.setDescription(rv4BirthMtlbAttachment.getDescription());
		newAttachment.setPreview(rv4BirthMtlbAttachment.getPreview());
		List<RvfourBirthMtlbAttachment> attachmentList = rvfourBirthMtlbAttachmentRepository.findByFileName(rv4BirthMtlbAttachment.getFileName());
		for (RvfourBirthMtlbAttachment attachment: attachmentList) {
			if (rv4BirthMtlbAttachment.getRv4MtlbId() == attachment.getRvfourBirthMtlbId()) {
				newAttachment.setId(attachment.getId());
				rvfourBirthMtlbAttachmentRepository.save(newAttachment);
				return ResponseEntity.ok(newAttachment.getId());
			}
		}
		return ResponseEntity.ok(rvfourBirthMtlbAttachmentRepository.insert(newAttachment));
	}
}
