package systems.archide.core.workflows.utils;

import java.util.HashMap;
import java.util.Map;

public enum MtlbEntity {

	CIVIL_STATUS_MTLB(1),

	ID_MTLB(2),

	UNION_MTLB(3);

	private java.lang.Integer value;

	MtlbEntity(java.lang.Integer value) {
		this.value = value;
	}

	public java.lang.Integer getValue() {
		return this.value;
	}

	private static final Map<java.lang.Integer, MtlbEntity> toTypeMap = new HashMap<>();
	static {
		for (MtlbEntity type : MtlbEntity.values()) {
			toTypeMap.put(type.value, type);
		}
	}

	public static MtlbEntity fromValue(java.lang.Integer val) {
		if (val == null)
			return null;
		MtlbEntity mtlbEntity = toTypeMap.get(java.lang.Integer.valueOf(val));
		if (mtlbEntity == null)
			throw new RuntimeException("Invalid value for MtlbEntity: " + val);
		return mtlbEntity;
	}

}
